package jp.sourceforge.orangesignal.ta.dataset.loader;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class PriceDataColumnTypeTest {

	@Test
	public void values() {
		final PriceDataColumnType[] values = PriceDataColumnType.values();
		for (final PriceDataColumnType value : values) {
			switch (value) {
				case DATE: case OPEN: case HIGH: case LOW: case CLOSE: case VOLUME:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
